vpCreateContext(3)

NAME
vpCreateContext, vpDestroyContext - create/destroy a rendering context

SYNOPSIS
#include <volpack.h>

vpCreateContext()

vpDestroyContext(vpc) vpContext *vpc;

ARGUMENTS

vpc VolPack context from vpCreateContext.

DESCRIPTION
vpCreateContext returns a handle for a new rendering context. It contains default values for most of the rendering parameters.

vpDestroyContext destroys a rendering context and frees the associated memory. Only data structures allocated by the library are freed; application-defined data structures that are referenced in the rendering context through a pointer are not freed (e.g. arrays of volume data and shading lookup tables). The application is responsible for keeping track of such data structures and freeing them when appropriate.

SEE ALSO
VolPack(3)